Get package asset renditions
GET
/api/renditions/{configId}/_package/{packageName}/{assetId}
const url = 'https://example.com/api/renditions/example/_package/example/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/renditions/example/_package/example/example \ --header 'Authorization: Bearer <token>'Retrieves all renditions for a content item within a package
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”configId
required
Repository configuration ID
string
packageName
required
Package name
string
assetId
required
Asset ID
string
Responses
Section titled “Responses”Renditions retrieved successfully
Media typeapplication/json
Array<object>
object
name
required
Rendition name
string
type
required
Rendition type
string
format
File format/extension
string
url
required
URL to access the rendition
string
storage
Storage details
object
objectName
required
Storage object name
string
version
Storage version ID
string | null
objectName
Object storage name
string
mimeType
MIME type
string
size
File size in bytes
number
fileName
Original file name
string
Example
[ { "name": "native", "type": "native", "format": "jpg", "url": "/api/assets/repo/item123/native", "mimeType": "image/jpeg", "size": 1024, "fileName": "image.jpg" }]Item not found
Media typeapplication/json
object
error
required
Indicates an error occurred
boolean
message
required
Error message describing what went wrong
string
Example
{ "error": true, "message": "Item not found"}